Skip to main content
Get Transfers
curl --request GET \
  --url https://synthesis.trade/api/v1/wallet/pol/{wallet_id}/transfers \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "response": [
    {
      "tx_hash": "0xa1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
      "transfer_type": "DEPOSIT",
      "asset_type": "ERC20",
      "asset_id": "USDC.e",
      "address": "0x1234567890abcdef1234567890abcdef12345678",
      "from_address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
      "to_address": "0x1234567890abcdef1234567890abcdef12345678",
      "amount": "100.000",
      "type": "DEPOSIT",
      "created_at": "2026-01-01T00:00:00"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Account secret API key.

Path Parameters

wallet_id
string
required

Query Parameters

limit
integer
default:100

Maximum transfers to return.

Example:

100

offset
integer
default:0

Pagination offset.

Example:

0

Response

200 - application/json

Polygon transfers